JSAPConfig (JSAP: the Java Simple Argument Parser)
Keywords: com.martiansoftware.jsap.xml.JSAPConfig class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.jsap.xml
Class JSAPConfig

    java.lang.Object
      com.martiansoftware.jsap.xml.JSAPConfig

    public class JSAPConfig

extends Object

Provides support for loading JSAP configurations at runtime via an xml file. You don't need to access this class directly; instead, use JSAP's constructors that support xml.

Author:
  Marty Lamb
See Also:
  `JSAP.JSAP(URL)`

Constructor Summary
`JSAPConfig()`

Method Summary
`void` | `addParameter(com.martiansoftware.jsap.xml.ParameterConfig config)`
`static void` | `configure(JSAP jsapToConfigure, URL jsapXML)` Loads a JSAP configuration from the xml at the specified URL, and configures the specified JSAP object accordingly
`String` | `getHelp()`
`String` | `getUsage()`
`Iterator` | `parameters()`
`void` | `setHelp(String help)`
`void` | `setUsage(String usage)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSAPConfig

    public JSAPConfig()

Method Detail

### configure

    public static void configure(JSAP jsapToConfigure,
                                 URL jsapXML)
                          throws IOException,
                                 JSAPException

  Loads a JSAP configuration from the xml at the specified URL, and configures the specified JSAP object accordingly

  Parameters:
    `jsapToConfigure` - the JSAP to configure
    `jsapXML` - the configuration
  Throws:
    `IOException` - if an I/O error occurs
    `JSAPException` - if the configuration is not valid

### getHelp

    public String getHelp()

### setHelp

    public void setHelp(String help)

### getUsage

    public String getUsage()

### setUsage

    public void setUsage(String usage)

### addParameter

    public void addParameter(com.martiansoftware.jsap.xml.ParameterConfig config)

### parameters

    public Iterator parameters()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005, Martian Software, Inc.. All Rights Reserved.
For the latest version and documentation, please visit http://www.martiansoftware.com/jsap